#!/usr/bin/env python
# -*- coding: utf-8 -*-
import json
from kafka import KafkaProducer
from kafka import KafkaConsumer
from gm_rpcd.all import bind
import traceback
from django.conf import settings
import datetime
import time
import logging


@bind('vest/moment/vest_irrigation')
def vest_irrigation(card_id=0, card_type=None, card_user_id=None, create_time="", content_level=0, tag_names=[]):
    try:
        producer = KafkaProducer(bootstrap_servers=[settings.KAFKA_BROKER_LIST])
        topic = settings.KAFKA_TOPIC_NAME
        comment_msg_dict = {
            "card_id": card_id,
            "card_type": card_type,
            "create_time": create_time,
            "content_level": content_level,
            "tag_names": tag_names,
            "type": "get_write_answer_userinfo",
            "current_push_time": create_time,
            'action_type': 'comment'

        }
        producer.send(topic, json.dumps(comment_msg_dict).encode())

        follow_msg_dict = {
            "card_id": card_id,
            "card_type": card_type,
            "create_time": create_time,
            "content_level": content_level,
            "tag_names": tag_names,
            "type": "get_write_answer_userinfo",
            "current_push_time": create_time,
            'action_type': 'follow',
            'card_user_id': card_user_id

        }
        producer.send(topic, json.dumps(follow_msg_dict).encode())

        click_msg_dict = {
            "card_id": card_id,
            "card_type": card_type,
            "create_time": create_time,
            "content_level": content_level,
            "tag_names": tag_names,
            "type": "get_write_answer_userinfo",
            "current_push_time": create_time,
            'action_type': 'click'

        }
        producer.send(topic, json.dumps(click_msg_dict).encode())

        producer.close()

    except:
        logging.error("catch exception,err_msg:%s" % traceback.format_exc())
